package com.ruoyi.tjfx.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 规格维度统计数据
 */
@Data
@AllArgsConstructor
public class DimensionStatsVO {
    /** 维度值名称 */
    private String name;

    /** 销售数量 */
    private Double quantity;
    /** 销售金额 */
    private Double amount;
/*    *//** 数量占比（百分比字符串） *//*
    private String quantityPercentage;
    *//** 金额占比（百分比字符串） *//*
    private String amountPercentage;*/

    /** 数量或者 金额占比（百分比字符串） */
    private String percentage;
    //价格或者销量
    private Double value;
}
