package com.ruoyi.tjfx.entity;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 增长率数据（同比/环比）
 */
@Data
@AllArgsConstructor
public class GrowthRatesVO {
    /** 金额同比增长率（%） */
    private String amountYoY;
    /** 数量同比增长率（%） */
    private String quantityYoY;
    /** 金额环比增长率（%） */
    private String amountMoM;
    /** 数量环比增长率（%） */
    private String quantityMoM;
}
