package com.ruoyi.tjfx.entity;

import lombok.Data;
import java.util.List;

/**
 * 店铺销售分析数据
 */
@Data
public class ShopAnalysisVO {
    /** 基础统计数据 */
    private BasicStatsVO basicStats;
    /** 各店铺销售金额数据 */
    private List<ShopAmountVO> shopAmountData;
    /** 各店铺销售数量数据 */
    private List<ShopQuantityVO> shopQuantityData;
    /** 各品类销售趋势数据 */
    private List<CategoryTrendVO> categoryTrendData;
} 