package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysDept;
import lombok.Data;

/**
 * 任务组用户配置表
 * 对应表: dk_check_in_attendance_team_and_user
 */
@Data
@TableName("dk_check_in_attendance_team_and_user")
public class DkAttendanceGroupAndUser extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private int id;

    /** 考勤组id */
    @TableField(value = "`attendance_team_id`")
    private long attendanceTeamId;

    /** 考勤组名称 */
    @TableField(value = "`attendance_group_name`")
    private String AttendanceGroupName;

    /** 用户id */
    @TableField(value = "`user_id`")
    private long userId;

    /** 姓名 */
    @TableField(value = "`user_name`")
    private String userName;

    /** 用户昵称 */
    @TableField(value = "`nick_name`")
    private String nickName;

    /** 用户id */
    @TableField(value = "`dept_id`")
    private long deptId;

    /** 所属部门 */
    @TableField(value = "`dept_name`")
    private String deptName;
    /**
     * 部门对象
     */
    @TableField(exist = false)
    private SysDept dept;
}
