package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 打卡配置表
 * 对应表: dk_check_in_config
 */
@Data
@TableName("dk_check_in_config")
public class DkCheckInConfig extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private int id;

    /** 地点名称 */
    @TableField(value = "`name`")
    private String name;

    /** 打卡半径/米 */
    @TableField(value = "`radius`")
    private Integer radius;

    /** 启用状态 */
    @TableField(value = "`enabled`")
    private Boolean enabled;

    /** 经度 */
    @TableField(value = "`lng`")
    private String lng;

    /** 纬度 */
    @TableField(value = "`lat`")
    private String lat;

}
