package com.ruoyi.tjfx.entity;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 基础统计数据
 */
@Data
public class BasicStatsVO {
    /** 总记录数 */
    private Integer totalRecords;
    /** 总销售数量 */
    private BigDecimal totalQuantity;
    /** 总销售金额 */
    private BigDecimal totalAmount;
    /** 不同商品数 */
    private Integer uniqueProducts;
    /** 不同客户数 */
    private Integer uniqueCustomers;
    /** 店铺分析用-不同店铺数 */
    private Integer totalShops;
    /** 店铺分析用-不同品类数 */
    private Integer totalCategories;
}
