package com.ruoyi.tjfx.entity;

import lombok.Data;
import java.util.List;
import java.util.Map;

/**
 * 分类销售分析数据
 */
@Data
public class CategoryAnalysisVO {
    /** 各规格维度的图表数据，key为维度名 */
    private Map<String, DimensionChartVO> dimensionCharts;
    /** 可用的规格维度列表 */
    private List<String> availableDimensions;
    /** 当前分析的分类名称 */
    private String currentCategory;
} 