package com.ruoyi.tjfx.entity;

import lombok.Data;

import java.util.List;

/**
 * 整体销售分析数据
 */
@Data
public class OverallAnalysisVO {
    /** 基础统计数据 */
    private BasicStatsVO basicStats;
    /** 同比/环比增长率 */
    private GrowthRatesVO growthRates;
    /** 销售趋势数据 */
    private List<TrendDataVO> trendData;
    /** TOP商品销售数据 */
    private List<TopProductVO> topProducts;
    /** 品牌销售数据 */
    private List<BrandDataVO> brandData;
}
