package com.ruoyi.tjfx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tjfx.entity.ShopCustomer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 店铺客户Mapper接口
 */
@Mapper
public interface ShopCustomerMapper extends BaseMapper<ShopCustomer> {

    /**
     * 根据店铺名称查询客户名称
     */
    ShopCustomer selectByShopName(@Param("shopName") String shopName);
}
