package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.time.LocalDate;

/**
 * 年假用户表
 * 对应表: nj_rule_config_and_user
 */
@Data
@TableName("nj_rule_config_and_user")
public class NjRuleConfigAndUser extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;

    /** 配置表ID */
    @TableField(value = "`nj_rule_config_id`")
    private long njRuleConfigId;

    /** 规则名称 */
    @TableField(value = "`rule_name`")
    private String ruleName;

    /** 用户id */
    @TableField(value = "`user_id`")
    private long userId;

    /** 用户名称 */
    @TableField(value = "`user_name`")
    private String userName;

    /** 用户名称 */
    @TableField(value = "`nick_name`")
    private String nickName;

    /** 部门名称 */
    @TableField(value = "`dept_name`")
    private String deptName;

    /** 入职时间 */
    @TableField(value = "`joined_date`")
    private LocalDate joinedDate;
}
